Bug 1327846 - [RFE] Q35: Support booting virtual machines via UEFI
Summary: [RFE] Q35: Support booting virtual machines via UEFI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-distribution
Classification: oVirt
Component: RFEs
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
high
medium with 1 vote vote
Target Milestone: ovirt-4.3.0
: 4.3.0
Assignee: Shmuel Melamud
QA Contact: Nisim Simsolo
URL:
Whiteboard:
Depends On: oVirt_Q35_tech_preview_support 1365938 1662929
Blocks: 1509931 1532969 1613496
TreeView+ depends on / blocked
 
Reported: 2016-04-16 19:21 UTC by Neal Gompa
Modified: 2019-04-29 13:55 UTC (History)
16 users (show)

Fixed In Version: ovirt-engine-4.3.0_alpha
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1532969 1613496 (view as bug list)
Environment:
Last Closed: 2019-04-29 13:55:32 UTC
oVirt Team: Virt
rule-engine: ovirt-4.3?
mavital: testing_plan_complete+
mtessun: planning_ack+
michal.skrivanek: devel_ack+
rule-engine: testing_ack?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1325023 'medium' 'CLOSED' 'edk2: distribute ovmf/aavmf roms (now that licensing issues are resolved)' 2019-12-05 16:17:39 UTC
oVirt gerrit 89965 'None' MERGED core: Add bios_type field to vm_static 2020-06-03 19:18:53 UTC
oVirt gerrit 90181 'None' MERGED core: Use chipset from biosType 2020-06-03 19:18:53 UTC
oVirt gerrit 91357 'None' MERGED core: BiosType FeatureSupported added 2020-06-03 19:18:53 UTC
oVirt gerrit 91358 'None' MERGED webadmin: BIOS Type in VM editing dialog 2020-06-03 19:18:52 UTC
oVirt gerrit 92402 'None' MERGED core: Add biosType to OVF 2020-06-03 19:18:52 UTC
oVirt gerrit 92409 'None' MERGED core: Backend validation of biosType 2020-06-03 19:18:52 UTC
oVirt gerrit 92410 'None' MERGED core: Better descriptions for BIOS types 2020-06-03 19:18:52 UTC
oVirt gerrit 92419 'None' MERGED core: Libvirt XML changes for UEFI 2020-06-03 19:18:52 UTC
oVirt gerrit 92423 'None' MERGED Added BiosType enum and biosType property to VmBase. 2020-06-03 19:18:52 UTC
oVirt gerrit 93034 'None' MERGED core: Use biosType to select emulated machine type 2020-06-03 19:18:52 UTC
oVirt gerrit 93105 'None' MERGED restapi: Update to model 4.3.14 2020-06-03 19:18:52 UTC
oVirt gerrit 93183 'None' MERGED restapi: VmBase.biosType mapping 2020-06-03 19:18:52 UTC
oVirt gerrit 93280 'None' MERGED Move biosType from VmBase to Bios. 2020-06-03 19:18:52 UTC
oVirt gerrit 93603 'None' MERGED restapi: Update to model 4.3.15 2020-06-03 19:18:51 UTC
oVirt gerrit 93699 'None' MERGED core: fix detection of emulated machine with bios type q35 2020-06-03 19:18:51 UTC
oVirt gerrit 93700 'None' MERGED core: cleanup in EmulatedMachineUtils 2020-06-03 19:18:51 UTC
oVirt gerrit 93701 'None' MERGED core: fix log of exceptional emulated machine selection 2020-06-03 19:18:51 UTC
oVirt gerrit 93739 'None' MERGED core: fix q35 settings in libvirt xml 2020-06-03 19:18:51 UTC
oVirt gerrit 93740 'None' MERGED core: clear device address when bios chipset is changed 2020-06-03 19:18:51 UTC
oVirt gerrit 93741 'None' MERGED core: remove unmanaged devices when bios chipset type changes 2020-06-03 19:18:51 UTC

Internal Links: 1325023

Description Neal Gompa 2016-04-16 19:21:41 UTC
Description of problem:
Currently, oVirt only supports booting virtual machines via BIOS. However, UEFI is the newer, more modern way to initialize a system. Additionally, now that the licensing for the UEFI firmware is fully Free, a firmware package can be included to make this work.

Please add support for booting via UEFI in oVirt 4.0.0.

Comment 1 Michal Skrivanek 2016-04-18 10:45:31 UTC
we will build UEFI (and secure boot) on top of q35 chipset, tracked in bug 1301111.
This would likely be TestOnly once it's implemented. Will keep open and revisit this bug once we get closer

Comment 3 Ludek Finstrle 2017-07-13 07:35:38 UTC
Is there some progress. I see it as a blocker for my usecase.

Comment 4 Michal Skrivanek 2017-07-20 14:22:16 UTC
(In reply to Ludek Finstrle from comment #3)
> Is there some progress. I see it as a blocker for my usecase.

Not much progress yet. There are more details in devel card https://trello.com/c/jIJRQw3z

Comment 5 Red Hat Bugzilla Rules Engine 2018-05-21 07:51:29 UTC
This request has been proposed for two releases. This is invalid flag usage. The ovirt-future release flag has been cleared. If you wish to change the release flag, you must clear one release flag and then set the other release flag to ?.

Comment 8 Nisim Simsolo 2019-04-16 11:38:14 UTC
Verification version:
rhvm-4.3.3.3-0.1.el7
vdsm-4.30.13-1.el7ev.x86_64
libvirt-4.5.0-10.el7_6.7.x86_64
qemu-kvm-rhev-2.12.0-21.el7.x86_64
sanlock-3.6.0-1.el7.x86_64
virt-v2v-1.38.2-12.29.lp.el7ev.x86_64

Verification scenario:
Polarion test plan added to external trackers.

Comment 9 Sandro Bonazzola 2019-04-29 13:55:32 UTC
This bugzilla is included in oVirt 4.3.0 release, published on February 4th 2019.

Since the problem described in this bug report should be
resolved in oVirt 4.3.0 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.